> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm Follow-Up Appointment

> 
### Overview

This API endpoint confirms an existing follow-up appointment by changing its status from INITIATED to BOOKED.



## OpenAPI

````yaml put /dr/v1/appointment/{appointment_id}/follow-up/confirm
openapi: 3.0.0
info:
  title: Ekacare API & Webhook Documentation
  contact: {}
  version: '1.0'
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /dr/v1/appointment/{appointment_id}/follow-up/confirm:
    put:
      tags:
        - Appointment API
      summary: Confirm Follow-Up Appointment
      description: >-

        ### Overview


        This API endpoint confirms an existing follow-up appointment by changing
        its status from INITIATED to BOOKED.
      operationId: ConfirmFollowUpAppointment
      parameters:
        - name: auth
          in: header
          description: ''
          required: true
          style: simple
          schema:
            type: string
            example: auth
        - name: appointment_id
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
        - name: partner_id
          in: query
          description: >-
            If set to 1 then appointment_id in path parameter should be
            partner_appointment_id else eka apppointment_id
          required: false
          style: form
          explode: true
          schema:
            type: string
            example: '1'
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
              properties:
                start_time:
                  type: integer
                  description: Start time of the appointment in epoch
                  example: 1730189586
                end_time:
                  type: integer
                  description: End time of the appointment in epoch
                  example: 1730189586
      responses:
        '204':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 16 Apr 2020 08:47:12 GMT
            Transfer-Encoding:
              content:
                text/plain:
                  schema:
                    type: string
                  example: chunked
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.10.3 (Ubuntu)
            Vary:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Accept-Encoding
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=15768000
            Content-Encoding:
              content:
                text/plain:
                  schema:
                    type: string
                  example: gzip
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
              example:
                error:
                  code: INVALID_REQUEST
                  message: The request is invalid or missing required parameters
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
              example:
                error:
                  code: APPOINTMENT_NOT_FOUND
                  message: The specified appointment ID does not exist
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
              example:
                error:
                  code: SERVER_ERROR
                  message: An unexpected error occurred on the server
      deprecated: false

````